{
  "name": "reader-star",
  "type": "module",
  "scripts": {
    "build:admin": "pnpm --filter @reader-star/admin build",
    "build:user": "pnpm --filter @reader-star/user build",
    "cleanup": "pnpm -r exec rm -rf node_modules",
    "dev:admin": "pnpm --filter @reader-star/admin dev",
    "dev:user": "pnpm --filter @reader-star/user dev",
    "dev:importer": "pnpm --filter @reader-star/question-importer start",
    "dev:api": "pnpm --filter @reader-star/question-importer run-import",
    "build": "pnpm -r build",
    "lint": "eslint . --fix",
    "prepare": "simple-git-hooks",
    "typecheck": "pnpm -r typecheck"
  },
  "dependencies": {
    "pinia-plugin-persistedstate": "^4.7.1"
  },
  "devDependencies": {
    "@read-star/eslint-config": "workspace:*",
    "eslint": "^9.39.2",
    "eslint-plugin-format": "^1.3.1",
    "lint-staged": "latest",
    "simple-git-hooks": "latest",
    "typescript": "latest"
  },
  "simple-git-hooks": {
    "pre-commit": "pnpm lint-staged --no-stash"
  },
  "lint-staged": {
    "*": "eslint --fix"
  }
}
